

Fix the build with CONFIG_SHMEM=n

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/mm.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/linux/mm.h~shmem-stubs-fix include/linux/mm.h
--- 25/include/linux/mm.h~shmem-stubs-fix	Tue Aug 31 15:44:19 2004
+++ 25-akpm/include/linux/mm.h	Tue Aug 31 15:44:19 2004
@@ -528,9 +528,9 @@ struct mempolicy *shmem_get_policy(struc
 int shmem_lock(struct file *file, int lock, struct user_struct *user);
 #else
 #define shmem_nopage filemap_nopage
-#define shmem_lock(a, b) /* always in memory, no need to lock */
-#define shmem_set_policy(a, b) (0)
-#define shmem_get_policy(a, b) (NULL)
+#define shmem_lock(a, b, c) 	({0;})	/* always in memory, no need to lock */
+#define shmem_set_policy(a, b)	(0)
+#define shmem_get_policy(a, b)	(NULL)
 #endif
 struct file *shmem_file_setup(char *name, loff_t size, unsigned long flags);
 
_
